
/*
 Project: L298N duaal h-bridge motor driver module, bipolar or unipolar stepper motor DC 6v/12v
 Function: The motor should revolve one revolution clockwise, then one revolution counterclockwise.
 Created 11 Mar. 2007
 Modified 30 Nov. 2009
 by Tom Igoe
 */
//*********************************************************************
#include <Stepper.h>//include library code
//*********************************************************************
const int stepsPerRevolution = 200;//change this to fit the number of steps per revolution for your motor
Stepper myStepper(stepsPerRevolution, 4, 5, 6, 7);//initialize the stepper library on pins 4 through 7
//*********************************************************************
void setup() {
  myStepper.setSpeed(60);//sets the speed at 60 rpm
  Serial.begin(9600);//initialize the serial communication at 9600 baud
}
void loop() {
  Serial.println("clockwise");//prints message in Serial monitor
  myStepper.step(stepsPerRevolution);//steps one revolution clockwise
  delay(500);//sets delay for 500 ms /half a second/  
  Serial.println("counterclockwise");//prints message in Serial monitor
  myStepper.step(-stepsPerRevolution);//steps one revolution counterclockwise
  delay(500);//sets delay for 500 ms /half a second/
}

